Debian Bug report logs - #668713
piuparts: install dependencies, snapshot, install, purge, verify-snapshot

version graph

Package: piuparts; Maintainer for piuparts is piuparts developers team <piuparts-devel@lists.alioth.debian.org>; Source for piuparts is src:piuparts.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Sat, 14 Apr 2012 06:30:01 UTC

Severity: wishlist

Found in version piuparts/0.43

Fixed in version piuparts/0.46

Done: Holger Levsen <holger@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#668713; Package piuparts. (Sat, 14 Apr 2012 06:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Sat, 14 Apr 2012 06:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: piuparts: install dependencies, snapshot, install, purge, verify-snapshot
Date: Sat, 14 Apr 2012 08:27:42 +0200
Package: piuparts
Version: 0.43
Severity: wishlist

Should we have test that can do the following:

install deps($PACKAGE)
snapshot
install $PACKAGE
purge $PACKAGE
verify-snapshot

This could catch postrm scripts that do too much, affecting other
packages. Such errors are probably hidden if the deps are purged, too.


Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#668713; Package piuparts. (Mon, 14 May 2012 13:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 13:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 668713@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 668713@bugs.debian.org
Subject: Re: [Piuparts-devel] Bug#668713: piuparts: install dependencies, snapshot, install, purge, verify-snapshot
Date: Mon, 14 May 2012 15:31:01 +0200
Hi,

On Samstag, 14. April 2012, Andreas Beckmann wrote:
> Should we have test that can do the following:
> 
> install deps($PACKAGE)
> snapshot
> install $PACKAGE
> purge $PACKAGE
> verify-snapshot
> 
> This could catch postrm scripts that do too much, affecting other
> packages. Such errors are probably hidden if the deps are purged, too.

Sounds good. Actually can't this just be the default behaviour by adding

purge deps($PACKAGE)
verify-snapshot

?!


cheers,
	Holger




Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#668713; Package piuparts. (Thu, 12 Jul 2012 08:21:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Thu, 12 Jul 2012 08:21:15 GMT) Full text and rfc822 format available.

Message #15 received at 668713@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 668713@bugs.debian.org
Subject: Re: Bug#668713: piuparts: install dependencies, snapshot, install, purge, verify-snapshot
Date: Thu, 12 Jul 2012 10:18:49 +0200
On 2012-05-14 15:31, Holger Levsen wrote:
> On Samstag, 14. April 2012, Andreas Beckmann wrote:
>> This could catch postrm scripts that do too much, affecting other
>> packages. Such errors are probably hidden if the deps are purged, too.

> Sounds good. Actually can't this just be the default behaviour by adding

I did a few tests (and filed a few bug reports already) and found the
following problems that need to be addressed:

* the test should be skipped for packages that are part of the base
chroot, but not essential/required - purging them fails :-)

* needs to handle packags on dependecy cycles
  - currently install deps(p) installs p, too
  - removing p removes the depcycle(p), too
  => there is an unwanted delta in the chroot

* we need another list of excludes or some other mechanism to ignore
modified logfiles that are owned by deps(p), modified by installing p
and only purged by purging deps(p), e.g. fontconfig.log


Andreas




Added tag(s) pending. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 22 Jul 2012 10:06:03 GMT) Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. (Mon, 03 Sep 2012 13:51:09 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Mon, 03 Sep 2012 13:51:09 GMT) Full text and rfc822 format available.

Message #22 received at 668713-close@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@debian.org>
To: 668713-close@bugs.debian.org
Subject: Bug#668713: fixed in piuparts 0.46
Date: Mon, 03 Sep 2012 13:47:50 +0000
Source: piuparts
Source-Version: 0.46

We believe that the bug you reported is fixed in the latest version of
piuparts, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668713@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Levsen <holger@debian.org> (supplier of updated piuparts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 03 Sep 2012 15:28:04 +0200
Source: piuparts
Binary: piuparts piuparts-master piuparts-slave piuparts-common
Architecture: source all
Version: 0.46
Distribution: unstable
Urgency: low
Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Changed-By: Holger Levsen <holger@debian.org>
Description: 
 piuparts   - .deb package installation, upgrading, and removal testing tool
 piuparts-common - common piuparts components
 piuparts-master - piuparts master components
 piuparts-slave - piuparts slave components
Closes: 668713 670150 677332 682184 686360
Changes: 
 piuparts (0.46) unstable; urgency=low
 .
   [ Holger Levsen ]
   * piuparts-report: drop in-code index.tpl stub.
   * slave-join: fix bug preventing detection that the slave is not running.
   * piuparts: call schroot with session: argument, thanks to Stephan Sürken
     for the patch. (Closes: #686360)
 .
   [ Andreas Beckmann ]
   * piuparts.py:
     - Add to ignored_files/ignored_patterns:
       + /var/lib/cdebconf/{questions,templates}.dat-old
       + /var/lib/onioncat/
       + /var/lib/vmm/(./.*)?    (Closes: #682184)
     - Fix some leftover files and directories getting incorrectly accounted to
       the package being tested instead of the dependencies in --warn-on-others
       mode.
     - Implement --install-purge-install option: test purging with all
       dependencies still installed; re-install after purge.
     - Install the dependencies and snapshot the chroot before the
       --install-purge-install test.  Check that the chroot after purge matches
       the snapshot.  (Closes: #668713)
   * piupartslib/dependencyparser.py:
     - Package names may now have a ":any" qualification in some cases.  Extend
       the parser to recognize and discard this suffix.
   * piupartslib/packagesdb.py:
     - Implement logfile recycling mode that avoids getting a large backlog of
       untested packages due to uncoordinated log deletion.  Delay log deletion
       and give preference to packages (or versions) that have not yet been
       tested.  (Closes: #670150)
       + logfiles to be recycled should be hardlinked from pass/, fail/, ... to
         recycle/
       + recycling can be enabled if recycle/ is not empty
       + treat packages with logfile in recycle/ as initially "unknown" and
         compute state ("waiting[-for-dependency]-to-be-tested")
       + delete old logfile while reserving such a package
   * piuparts-master.py:
     - Accept and discard duplicate log submissions, preventing the slave from
       retrying infinitely.
     - Delay loading the Packages file which is only needed for "status" and
       "reserve" commands, but not for submitting logs.
     - Add "recycle" command to enter logfile recycling mode (needs to be
       issued before "status" or "reserve").
     - Remember idle state by creating stamp files.
     - Add "idle" command to check a remembered idle status before trying to
       "reserve" packages (avoid package state computation).  Idle status (i.e.
       no packages available for "reserve") will be remembered for an hour, but
       any log modification (submission, deletion, marking for recycling) will
       clear the idle status.
   * piuparts-slave.py:
     - Fix stopping the currently running test (Ctrl-C Ctrl-C).
     - Handle master communication exceptions while sending logs or reserving
       packages: skip the section but keep the slave running.
     - Flush finished logs from sections that have processing postponed due to
       precedence settings.
     - Skip connection to master if we have reserved but no submittable logs.
     - Submit finished logs after completing all reserved logs in a section.
     - Send finished logs to master if interrupted with a single Ctrl-C.
     - Try to unreserve all reserved logs after interrupt.
     - Add SIGHUP handler that triggers flushing finished logs.  Flushing (all
       sections) will be done after the current test has finished.
     - Enter logfile recycling mode if no section has packages left for regular
       processing.  Recycle logfiles until a section becomes available for
       regular processing.  If no logfiles could be recycled, retry after an
       hour.
     - Issue "idle" command before "reserve" and skip status computation and
       reserving if master is idle.
   * piuparts-report.py:
   * Simplify running piuparts from GIT.
   * Reorganize layout in the GIT repository to reduce path nesting and length.
   * Makefile:
     - Separate build and install targets.
     - Adjust for new layout, cleanup, simplify.
   * conf/piuparts.apache: Set DefaultType text/plain (for the logfiles).
   * reschedule_oldest_logs: Hardlink old logfiles to recycle/ instead of
     deleting them.  Cleanup obsolete rescheduling requests.
   * New helper script: master-bin/reclassify_bugged.
   * New custom script post_setup_forbid_home: replace /home with a file to
     prevent creating home directories there.  (Closes: #677332)
   * New custom script post_install_find_bad_permissions: look for world
     writable directories without sticky bit set.
Checksums-Sha1: 
 a65e1995ee67af1bb33b7333af23dc4e8afbbb14 1829 piuparts_0.46.dsc
 93795ca157fedf1c263626d7836ae9293558a04c 153608 piuparts_0.46.tar.gz
 c4f379d26cb722c8c1f183b24355116348043e64 85658 piuparts_0.46_all.deb
 b84a0915a5f579a5d23431be112ac5ba24c0f5b7 87310 piuparts-master_0.46_all.deb
 495a0e89cb3cc719d5fa74f05b6a2533d48dd7c4 35030 piuparts-slave_0.46_all.deb
 5eb767a8029e693946770d5483a81022305db646 33546 piuparts-common_0.46_all.deb
Checksums-Sha256: 
 705615252c651b6cf7bec050ec68ccd92ad497222b1e577da7d602b70dcf18e5 1829 piuparts_0.46.dsc
 cdfc797f2cbd97ab29bb59cef4b8ca4899c9f3c5b69631f1da937f50bac58405 153608 piuparts_0.46.tar.gz
 6a17959aa96bb735b357376e7453bceb3649be18f37ea9afcf38d1739b627136 85658 piuparts_0.46_all.deb
 d668ff43293d435b5677ace51e9b774df21aa5970a66c796ca7b86f3f1fdb3d6 87310 piuparts-master_0.46_all.deb
 16b55a1f72d511f7811f61cbac0f9a8a321a4fad94afb10862c1fe4e10c6b914 35030 piuparts-slave_0.46_all.deb
 791f4b57a33e45e229cfcc4f07bad89ed3ab39f040715c24e25016e77c48072e 33546 piuparts-common_0.46_all.deb
Files: 
 d3626ead807a203735f85b2ee164305e 1829 devel extra piuparts_0.46.dsc
 b53a20bde10fac67d64bc31ca87ca863 153608 devel extra piuparts_0.46.tar.gz
 195ca129496e32704e5d33dad1cd675c 85658 devel extra piuparts_0.46_all.deb
 87fd84d33f88a9e51f9fdae47bff11c9 87310 devel extra piuparts-master_0.46_all.deb
 6ed65dd1852d0b904929cd695c303eee 35030 devel extra piuparts-slave_0.46_all.deb
 ab4176539fa01bc5aed08fb3ea0e7cc6 33546 devel extra piuparts-common_0.46_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBUESzfgkauFYGmqocAQhBXRAArZTF2l4sUSlm+Lz1o2Itu71ZJJVQfgrY
BVlAlNtAi8p13UC+BVUdPF8Yhi1GKD+8dGVZIUj2ZLDtRfXi2G9dfHTsTuoQYHxZ
iHieLjHY9qJIf+A5fxAg17i1VgOnHrPdgAKjTj6jU/LfK7y/8e/j5t+/zLJWQGZJ
dW6k/9v4R8euW9bVZ0WkJXcnjRJUDHIPpMChudyMuUVFNV8OkwBZC0Ciu7ANdjuB
R48oSVHwVa594LCvjDxshb+wwa5e/4dB2YO9N5cZL0EXjPBPSZYjTnXRpi+7Kilt
dH59SiGxNDeNmu2m5GNxTEuqJAxn0saS9UY9H8FH7nsVOEWnKbsoSW2JIMbQMYjM
IRkyNvoAnj8lDF+CPT7eQlixYI7d40zYYARixKAoShVRBDdgTr8m1e8Z3YxrnHum
DTzuSqRzFJxeofWv23zuyufVhNW1AvwU36WmFpyhuYS7/Kn0NmbwOfit2VksDlwy
9vEY0T1kpdPTwlObMxF0zqPAxKTEEvI3nLql3ymCv+5im6gVv7ssjoTsqqHxnq0z
96D3lzGmr1FASGRiDumytgBBXd0m2u+rknnc4J4yvPUX5xzX8AleEt3zLF2euySR
hTSSH5FOFoGyzPPl6Oj49HWwvMWu1fOIE8oGyEX95vJtjTlItla0+KIDTBBahozm
d/dPD1d8ifM=
=m3ii
-----END PGP SIGNATURE-----




Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:29:37 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:41:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:41:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.